milliams

Member
  • Content count

    1
  • Joined

  • Last visited

Community Reputation

156 Neutral

About milliams

  • Rank
    Newbie
  1. When building angelscript 2.14.1 with g++ 4.3.2, a very large number of warning are produced. There are there different types of warnings which are: # warning: deprecated conversion from string constant to 'char*' # warning: suggest parentheses around && within || # warning: suggest explicit braces to avoid ambiguous ‘else’ I am aware that the latter two of the warnings are not really a problem but the warning is valid in that it can make the code more ambiguous. I've made a patch against 2.14.1 to fix this (http://milliams.com/uploads/as_g++_warning.diff) so feel free to commit it if you want.